<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***** コメントスパムの排除 *****/
/* https://nendeb.com/260 */
/* 表示しないダミー項目を作る */
function haup_check_spam_comment_field() {
?>
<p class="comment-form-url" style="display:none">
<label><?php echo esc_html( 'URL' ); ?><span class="required">*</span></label>
<input type="text" name="haup_comment_url" id="haup_comment_url" class="input" size="30" />
<input type="hidden" name="haup_comment_nonce" value="<?php echo esc_attr(wp_create_nonce( 'haup_comment_nonce' )); ?>" />
</p>
<?php
}
add_action( 'comment_form_after_fields', 'haup_check_spam_comment_field' );

/* ダミー欄に入力があったらエラーを返す */
function haup_check_comment_validate( $comment_post_ID ) {
	if ( isset( $_POST['haup_comment_nonce'] ) && ! wp_verify_nonce( sanitize_text_field(wp_unslash($_POST['haup_comment_nonce'])), 'haup_comment_nonce' ) ) {
		wp_die( 'Nonce verification failed' );
	}

	if( isset( $_POST['haup_comment_url'] )){
		$comment_url = sanitize_text_field(wp_unslash($_POST['haup_comment_url']));
	}else{
		$comment_url = '';
	}

	if ( $comment_url != '' ) {
		wp_die( 'ERROR' );
	}
}
add_action( 'pre_comment_on_post', 'haup_check_comment_validate' );
